.portada-habitacio-premium{
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.intro-habitacions{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 5% 20% 5% 20%;
    width: 90vw;
    margin: 0 auto;

    p{
        text-align: center;
    }
}

.icones-serveis-grid {
    display: grid;
    /* Creem 7 columnes iguals */
    grid-template-columns: repeat(7, 1fr); 
    /* Espai entre icones (ajusta'l al teu gust) */
    gap: 30px 20px; 
    width: 100%;
    max-width: 1180px; 
    margin: 0 auto;
    padding: 40px 0;
}
.servei {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;


    img{
        width: 40px;
        height: auto;
    }
    p{
        text-align: center;
    }
}


/* ALTRES HABITACIONS */

.habitacions-section {
    display: flex;
    align-items: left;      
    justify-content: center;
    padding: 3% 20%; 
    background: #F1EDE0 var(--backgroundImage01) center;
    position: relative;       
    gap: 50px;
    margin-bottom: 180px;               
}

.habitacions-content{
    flex: 1;                 
    z-index: 2;              
    max-width: 500px;

    .alga-sectio-title-dark{
        text-align: left;
        margin: 0;
    }
}

.llistat-habitacions{
    margin-block-start: 0;
    padding-inline-start:0;
}

.llistat-habitacions li{
    list-style: none;
    font-size: 1.5rem;
    margin: 15px 0;
}

.llistat-habitacions li:hover{
   font-weight: 600;
   cursor: pointer;
}

.llistat-habitacions li a {
    text-decoration: none;
    color: #000000;
}

.imatge-habitacio {
    flex: 0 0 50%;           
    display: flex;
    justify-content: center;
    align-items: center;
    
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.4s ease;
}

.imatge-habitacio.active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.llistat-habitacions li.selected {
    font-weight: bold;
    opacity: 1;
}

.imatge-habitacio img {
    width: 100%;
    max-width: 550px;         
    aspect-ratio: 8 / 9;      
    object-fit: cover;
    border-radius: 40px;      
    margin-bottom: -150px;    
   
}


/********************** RESPONSIVE  ************************/

@media only screen 
  and (min-device-width: 1024px) 
  and (max-device-width: 1400px)
  and (-webkit-min-device-pixel-ratio: 2) {

    
    .imatge-habitacio img {

        margin-bottom: -350px;
    }

    .habitacions-section{
        padding: 10%;
        flex-direction: row!important;
    }

    .icones-serveis-grid {
        grid-template-columns: repeat(4, 1fr)!important;

    }
}


/* --- TABLET (Fins a 1024px) --- */
@media screen and (max-width: 1024px) {

    .icones-serveis-grid {
        grid-template-columns: repeat(3, 1fr);
    }

    .habitacions-section {
        padding: 10%;
        flex-direction: column;
    }

}

/* --- MÒBIL (Per defecte i fins a 600px aprox) */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 568px)
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: portrait) {


    .intro-habitacions {
        padding: 10%;
        width: auto;
    }
    .icones-serveis-grid {  
        grid-template-columns: repeat(2, 1fr);
    }

    .habitacions-section{
        padding: 10%;
        flex-direction: column;
    }


  }